Description

A great enhancement from the Scripting user perspective would be to have the Scripting preferences, just like in the case of EPSG
Registry (jCRS), in order to have more control on the Scripting plugin initialization process which is is pretty slow at the moment.
Further the Scripting composer usually opens in background (at least on Windows), so the whole process could be further optimized
and more usable.

History
#1 - 12/12/2017 10:08 AM - Antonio Falciano

A quick and dirty workaround in order to have the Scripting plugin ready to use at startup consists in an autorun.py script like the following:

# encoding: utf-8

from org.gvsig.andami import PluginsLocator

def main(*args):
    ''' Scripting composer '''
    a = PluginsLocator.getActionInfoManager() \
        .getAction("tools-scripting-composer")
    a.execute()

It opens the Scripting Composer in background.

#2 - 12/20/2017 09:50 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.5.1-3044

#3 - 03/26/2020 01:45 PM - Joaquín  del Cerro Murciano
- Priority changed from Normal to Low

#4 - 04/21/2020 09:26 AM - Álvaro Anguix
- Target version deleted (2.5.1-3044)
